// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "MyData.generated.h"


USTRUCT()
struct FMyData
{
public:
	GENERATED_USTRUCT_BODY()
};

class MyData
{
public:
	struct MyTest
	{
		FString name;
		int	age;
		TArray<int> arr;
	};
};

USTRUCT(BlueprintType)
struct FStudent
{
	GENERATED_USTRUCT_BODY()
public:
	UPROPERTY()
	FString name;

	UPROPERTY()
	int	age;

	UPROPERTY()
	TArray<int> arr;
};


USTRUCT(BlueprintType)
struct FPeople
{
	GENERATED_USTRUCT_BODY()

public:
	UPROPERTY()
	FString firstName;

	UPROPERTY()
	FString lastName;

	UPROPERTY()
	FString gender;

	UPROPERTY()
	int age;
};

USTRUCT(BlueprintType)
struct FMember
{
	GENERATED_USTRUCT_BODY()
public:
	UPROPERTY()
	int Class;

	UPROPERTY()
	TArray<FPeople> student;
};